changeset 693:c764dd0df6ec

Add script to fix a few things in dpkg pkg that lintian complains about
author Chris Cannam
date Fri, 13 Dec 2013 09:39:04 +0000
parents 0f59b9cabf5d
children 959f01137742 606a6bed2236
files deploy/linux/fix-lintian-bits.sh
diffstat 1 files changed, 15 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/deploy/linux/fix-lintian-bits.sh	Fri Dec 13 09:39:04 2013 +0000
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+dir=$1
+
+[ -d "$dir" ] || exit 1
+
+strip "$dir"/usr/bin/*
+
+sz=`du -sx --exclude DEBIAN "$dir" | awk '{ print $1; }'`
+perl -i -p -e "s/Installed-Size: .*/Installed-Size: $sz/" "$dir"/DEBIAN/control
+
+find "$dir" -name \*~ -exec rm \{\} \;
+
+sudo chown -R root.root "$dir"/*
+